## r-cran-actuar 2.3

=== DESCRIPTION ===
Package: actuar
Type: Package
Title: Actuarial Functions and Heavy Tailed Distributions
Version: 2.3-3
Date: 2019-12-03
Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
 	            email = "vincent.goulet@act.ulaval.ca"),
	     person("Sébastien", "Auclair", role = "ctb"),
	     person("Christophe", "Dutang", role = "aut",
	            email = "dutang@ceremade.dauphine.fr"),
	     person("Nicholas", "Langevin", role = "ctb"),
	     person("Xavier", "Milhaud", role = "ctb"),
	     person("Tommy", "Ouellet", role = "ctb"),
	     person("Alexandre", "Parent", role = "ctb"),
	     person("Mathieu", "Pigeon", role = "aut",
	            email = "pigeon.mathieu.2@uqam.ca"),
	     person("Louis-Philippe", "Pouliot", role = "ctb"))
Description: Functions and data sets for actuarial science:
  modeling of loss distributions; risk theory and ruin theory;
  simulation of compound models, discrete mixtures and compound
  hierarchical models; credibility theory. Support for many additional
  probability distributions to model insurance loss amounts and loss
  frequency: 19 continuous heavy tailed distributions; the
  Poisson-inverse Gaussian discrete distribution; zero-truncated and
  zero-modified extensions of the standard discrete distributions.
  Support for phase-type distributions commonly used to compute ruin
  probabilities.
Depends: R (>= 3.3.0)
Imports: stats, graphics, expint
LinkingTo: expint
Suggests: MASS
License: GPL (>= 2)
URL: https://gitlab.com/vigou3/actuar
BugReports: https://gitlab.com/vigou3/actuar/issues
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
NeedsCompilation: yes
Packaged: 2019-12-03 21:37:55 UTC; vincent
Author: Vincent Goulet [cre, aut],
  Sébastien Auclair [ctb],
  Christophe Dutang [aut],
  Nicholas Langevin [ctb],
  Xavier Milhaud [ctb],
  Tommy Ouellet [ctb],
  Alexandre Parent [ctb],
  Mathieu Pigeon [aut],
  Louis-Philippe Pouliot [ctb]
Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
Repository: CRAN
Date/Publication: 2019-12-04 09:40:06 UTC

## r-cran-actuar 2.3-3

=== debian/changelog ===
r-cran-actuar (2.3-3-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 25 Dec 2019 16:35:37 +0100

r-cran-actuar (2.3-2-1) unstable; urgency=medium

  * Initial release (closes: #944783)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2019 11:39:12 +0100

=== debian/control ===
Source: r-cran-actuar
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-expint
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
Homepage: https://cran.r-project.org/package=actuar

Package: r-cran-actuar
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R actuarial functions and heavy tailed distributions
 Functions and data sets for actuarial science:
 modeling of loss distributions; risk theory and ruin theory;
 simulation of compound models, discrete mixtures and compound
 hierarchical models; credibility theory. Support for many additional
 probability distributions to model insurance loss amounts and loss
 frequency: 19 continuous heavy tailed distributions; the
 Poisson-inverse Gaussian discrete distribution; zero-truncated and
 zero-modified extensions of the standard discrete distributions.
 Support for phase-type distributions commonly used to compute ruin
 probabilities.

## r-cran-actuar 3.0-0

=== debian/changelog ===
r-cran-actuar (3.0-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jun 2020 08:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-expint
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar
+Rules-Requires-Root: no
 
 Package: r-cran-actuar
 Architecture: any

## r-cran-actuar 3.1

=== DESCRIPTION ===
Package: actuar
Type: Package
Title: Actuarial Functions and Heavy Tailed Distributions
Version: 3.1-1
Date: 2021-02-02
Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
 	            email = "vincent.goulet@act.ulaval.ca"),
	     person("Sébastien", "Auclair", role = "ctb"),
	     person("Christophe", "Dutang", role = "aut",
	            email = "dutang@ceremade.dauphine.fr"),
	     person("Nicholas", "Langevin", role = "ctb"),
	     person("Xavier", "Milhaud", role = "ctb"),
	     person("Tommy", "Ouellet", role = "ctb"),
	     person("Alexandre", "Parent", role = "ctb"),
	     person("Mathieu", "Pigeon", role = "aut",
	            email = "pigeon.mathieu.2@uqam.ca"),
	     person("Louis-Philippe", "Pouliot", role = "ctb"),
     	     person("Jeffrey A.", "Ryan", role = "aut",
	            email = "jeff.a.ryan@gmail.com",
		    comment = "Package API"),
	     person("Robert", "Gentleman", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person("Ross", "Ihaka", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person(family = "R Core Team", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person(family = "R Foundation", role = "aut",
	            comment = "Parts of the R to C interface"))
Description: Functions and data sets for actuarial science:
  modeling of loss distributions; risk theory and ruin theory;
  simulation of compound models, discrete mixtures and compound
  hierarchical models; credibility theory. Support for many additional
  probability distributions to model insurance loss size and
  frequency: 23 continuous heavy tailed distributions; the
  Poisson-inverse Gaussian discrete distribution; zero-truncated and
  zero-modified extensions of the standard discrete distributions.
  Support for phase-type distributions commonly used to compute ruin
  probabilities.
Depends: R (>= 3.3.0)
Imports: stats, graphics, expint
LinkingTo: expint
Suggests: MASS
License: GPL (>= 2)
URL: https://gitlab.com/vigou3/actuar
BugReports: https://gitlab.com/vigou3/actuar/-/issues
Encoding: UTF-8
LazyData: yes
Classification/MSC-2010: 62P05, 91B30, 62G32
NeedsCompilation: yes
Packaged: 2021-02-03 02:46:34 UTC; vincent
Author: Vincent Goulet [cre, aut],
  Sébastien Auclair [ctb],
  Christophe Dutang [aut],
  Nicholas Langevin [ctb],
  Xavier Milhaud [ctb],
  Tommy Ouellet [ctb],
  Alexandre Parent [ctb],
  Mathieu Pigeon [aut],
  Louis-Philippe Pouliot [ctb],
  Jeffrey A. Ryan [aut] (Package API),
  Robert Gentleman [aut] (Parts of the R to C interface),
  Ross Ihaka [aut] (Parts of the R to C interface),
  R Core Team [aut] (Parts of the R to C interface),
  R Foundation [aut] (Parts of the R to C interface)
Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
Repository: CRAN
Date/Publication: 2021-02-03 05:50:02 UTC

## r-cran-actuar 3.1-1

=== debian/changelog ===
r-cran-actuar (3.1-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 18:40:54 +0100

r-cran-actuar (3.1-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jan 2021 14:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-expint
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar

## r-cran-actuar 3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: actuar
 Type: Package
 Title: Actuarial Functions and Heavy Tailed Distributions
-Version: 3.1-1
-Date: 2021-02-02
+Version: 3.2-1
+Date: 2022-01-23
 Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
  	            email = "vincent.goulet@act.ulaval.ca"),
 	     person("Sébastien", "Auclair", role = "ctb"),
 	     person("Christophe", "Dutang", role = "aut",
 	            email = "dutang@ceremade.dauphine.fr"),
+	     person("Walter", "Garcia-Fontes", role = "ctb",
+	            email = "walter.garcia@upf.edu"),
 	     person("Nicholas", "Langevin", role = "ctb"),
 	     person("Xavier", "Milhaud", role = "ctb"),
 	     person("Tommy", "Ouellet", role = "ctb"),
@@ -36,7 +38,7 @@
   zero-modified extensions of the standard discrete distributions.
   Support for phase-type distributions commonly used to compute ruin
   probabilities.
-Depends: R (>= 3.3.0)
+Depends: R (>= 4.1.0)
 Imports: stats, graphics, expint
 LinkingTo: expint
 Suggests: MASS
@@ -47,10 +49,11 @@
 LazyData: yes
 Classification/MSC-2010: 62P05, 91B30, 62G32
 NeedsCompilation: yes
-Packaged: 2021-02-03 02:46:34 UTC; vincent
+Packaged: 2022-01-23 23:19:16 UTC; vincent
 Author: Vincent Goulet [cre, aut],
   Sébastien Auclair [ctb],
   Christophe Dutang [aut],
+  Walter Garcia-Fontes [ctb],
   Nicholas Langevin [ctb],
   Xavier Milhaud [ctb],
   Tommy Ouellet [ctb],
@@ -64,4 +67,4 @@
   R Foundation [aut] (Parts of the R to C interface)
 Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
 Repository: CRAN
-Date/Publication: 2021-02-03 05:50:02 UTC
+Date/Publication: 2022-01-24 16:22:42 UTC

## r-cran-actuar 3.2-1

=== debian/changelog ===
r-cran-actuar (3.2-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 30 Jan 2022 18:02:46 +0100

r-cran-actuar (3.2-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 18:52:47 +0200

r-cran-actuar (3.1-4-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/p/i386.patch: Fix i386 autopkgtests
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Wed, 29 Sep 2021 16:10:41 +0530

r-cran-actuar (3.1-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Sep 2021 11:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-actuar
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-expint
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/actuar_([-\d.]*)\.tar\.gz

## r-cran-actuar 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: actuar
 Type: Package
 Title: Actuarial Functions and Heavy Tailed Distributions
-Version: 3.2-1
-Date: 2022-01-23
+Version: 3.3-6
+Date: 2025-07-08
 Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
- 	            email = "vincent.goulet@act.ulaval.ca"),
+ 	            email = "vincent.goulet@act.ulaval.ca",
+		    comment = c(ORCID = "0000-0002-9315-5719")),
 	     person("Sébastien", "Auclair", role = "ctb"),
 	     person("Christophe", "Dutang", role = "aut",
-	            email = "dutang@ceremade.dauphine.fr"),
+	            email = "dutang@ceremade.dauphine.fr",
+                    comment = c(ORCID = "0000-0001-6732-1501")),
 	     person("Walter", "Garcia-Fontes", role = "ctb",
 	            email = "walter.garcia@upf.edu"),
 	     person("Nicholas", "Langevin", role = "ctb"),
@@ -24,9 +26,9 @@
 	            comment = "Parts of the R to C interface"),
 	     person("Ross", "Ihaka", role = "aut",
 	            comment = "Parts of the R to C interface"),
-	     person(family = "R Core Team", role = "aut",
+	     person(given = "R Core Team", role = "aut",
 	            comment = "Parts of the R to C interface"),
-	     person(family = "R Foundation", role = "aut",
+	     person(given = "R Foundation", role = "aut",
 	            comment = "Parts of the R to C interface"))
 Description: Functions and data sets for actuarial science:
   modeling of loss distributions; risk theory and ruin theory;
@@ -37,7 +39,9 @@
   Poisson-inverse Gaussian discrete distribution; zero-truncated and
   zero-modified extensions of the standard discrete distributions.
   Support for phase-type distributions commonly used to compute ruin
-  probabilities.
+  probabilities. Main reference: <doi:10.18637/jss.v025.i07>.
+  Implementation of the Feller-Pareto family of distributions:
+  <doi:10.18637/jss.v103.i06>.
 Depends: R (>= 4.1.0)
 Imports: stats, graphics, expint
 LinkingTo: expint
@@ -49,10 +53,12 @@
 LazyData: yes
 Classification/MSC-2010: 62P05, 91B30, 62G32
 NeedsCompilation: yes
-Packaged: 2022-01-23 23:19:16 UTC; vincent
-Author: Vincent Goulet [cre, aut],
+Packaged: 2025-07-08 16:10:49 UTC; vincent
+Author: Vincent Goulet [cre, aut] (ORCID:
+    <https://orcid.org/0000-0002-9315-5719>),
   Sébastien Auclair [ctb],
-  Christophe Dutang [aut],
+  Christophe Dutang [aut] (ORCID:
+    <https://orcid.org/0000-0001-6732-1501>),
   Walter Garcia-Fontes [ctb],
   Nicholas Langevin [ctb],
   Xavier Milhaud [ctb],
@@ -67,4 +73,4 @@
   R Foundation [aut] (Parts of the R to C interface)
 Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
 Repository: CRAN
-Date/Publication: 2022-01-24 16:22:42 UTC
+Date/Publication: 2025-07-08 17:00:02 UTC

=== vignettes/Makefile ===
### -*-Makefile-*- to build actuar vignettes
##
##  AUTHOR: Vincent Goulet <vincent.goulet@act.ulaval.ca>

## List of vignette to build
VIGNETTES = actuar.pdf coverage.pdf credibility.pdf \
	distributions.pdf modeling.pdf risk.pdf \
	simulation.pdf

## Toolset
SWEAVE = "$(R_HOME)/bin/R" CMD Sweave --encoding="utf-8"
TEXI2DVI = LATEX=xelatex TEXINDY=makeindex texi2dvi -b
RM = rm -rf

all: pdf

%.pdf: %.tex
	${TEXI2DVI} '$<'

.PHONY: pdf
pdf: ${VIGNETTES}

.PHONY: clean
clean:
	${RM} *.tex *-[0-9][0-9][0-9].pdf \
	      *.aux *.bbl *.blg *.log *.out *~ Rplots* \
	      auto/

## r-cran-actuar 3.3-0

=== debian/changelog ===
r-cran-actuar (3.3-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 06:46:03 +0200

r-cran-actuar (3.2-2-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Apr 2022 22:42:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-actuar
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
+Homepage: https://cran.r-project.org/package=actuar
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-expint
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
-Homepage: https://cran.r-project.org/package=actuar
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-actuar
 Architecture: any

## r-cran-actuar 3.3-1

=== debian/changelog ===
r-cran-actuar (3.3-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:35:51 +0100

## r-cran-actuar 3.3-2

=== debian/changelog ===
r-cran-actuar (3.3-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:32:37 +0100

## r-cran-actuar 3.3-4

=== debian/changelog ===
r-cran-actuar (3.3-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2023 11:19:31 +0100

r-cran-actuar (3.3-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 11:32:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-actuar 3.3-5

=== debian/changelog ===
r-cran-actuar (3.3-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 22 Jan 2025 16:25:50 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass
Restrictions: allow-stderr

## r-cran-actuar 3.3-6

=== debian/changelog ===
r-cran-actuar (3.3-6-1) unstable; urgency=medium

  * Team Upload.
  * Drop myself from uploaders
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * New upstream version 3.3-6

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 17:38:09 +0530

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-actuar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-actuar.git
 Homepage: https://cran.r-project.org/package=actuar
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
